searchData={"items":[{"type":"module","title":"QRNBU","doc":"","ref":"QRNBU.html"},{"type":"function","title":"QRNBU.base_url/0","doc":"","ref":"QRNBU.html#base_url/0"},{"type":"function","title":"QRNBU.to_string/2","doc":"","ref":"QRNBU.html#to_string/2"},{"type":"function","title":"QRNBU.to_uri/2","doc":"","ref":"QRNBU.html#to_uri/2"},{"type":"type","title":"QRNBU.amount/0","doc":"Amount","ref":"QRNBU.html#t:amount/0"},{"type":"type","title":"QRNBU.currency/0","doc":"Currency","ref":"QRNBU.html#t:currency/0"},{"type":"type","title":"QRNBU.encodings/0","doc":"","ref":"QRNBU.html#t:encodings/0"},{"type":"type","title":"QRNBU.iban/0","doc":"IBAN 'like UA303348510000026206114040874'","ref":"QRNBU.html#t:iban/0"},{"type":"type","title":"QRNBU.options/0","doc":"","ref":"QRNBU.html#t:options/0"},{"type":"type","title":"QRNBU.purpose/0","doc":"Purpose","ref":"QRNBU.html#t:purpose/0"},{"type":"type","title":"QRNBU.recipient/0","doc":"Recipient","ref":"QRNBU.html#t:recipient/0"},{"type":"type","title":"QRNBU.t/0","doc":"NBU QR","ref":"QRNBU.html#t:t/0"},{"type":"type","title":"QRNBU.tax_id/0","doc":"Tax ID or ID Card Number","ref":"QRNBU.html#t:tax_id/0"},{"type":"type","title":"QRNBU.version/0","doc":"NBU QR Version","ref":"QRNBU.html#t:version/0"},{"type":"module","title":"QRNBUEx","doc":"Documentation for `QRNBUEx`.\n\n```elixir\namount = Decimal.new(\"10.20\")\n\ndata = %QRNBU{\n  recipient: \"Негрієнко Данило Олександрович\",\n  tax_id: \"1246993119\",\n  iban: \"UA303348510000026206114040874\",\n  amount: amount,\n  purpose: \"Призначення платежу\"\n}\n\ndata |> QRNBUEx.generate() |> QRCode.save(\"priv/assets/test.svg\")\n```\n\nor in more complicated variant for PNG\n\n```elixir\nsettings = %QRCode.Render.PngSettings{\n  background_color: \"#ffffff\",\n  qrcode_color: \"#ff2222\",\n  scale: 10\n}\n\ndata\n|> QRNBUEx.generate([format: :png, settings: settings])\n|> QRCode.save(\"priv/assets/test.png\")\n```\n\nor SVG\n\n```elixir\nsettings = %QRCode.Render.SvgSettings{\n  background_color: \"#fff\",\n  qrcode_color: \"#222\",\n  scale: 10,\n  background_opacity: nil,\n  image: {\"priv/assets/logo.svg\", 100},\n  structure: :minify\n}\n\ndata\n|> QRNBUEx.generate([format: :svg, settings: settings])\n|> QRCode.save(\"priv/assets/test.svg\")\n```","ref":"QRNBUEx.html"},{"type":"function","title":"QRNBUEx.generate/2","doc":"Generate quick response code from %QRNBU{} struct","ref":"QRNBUEx.html#generate/2"},{"type":"module","title":"QRNBUGenerator","doc":"","ref":"QRNBUGenerator.html"},{"type":"function","title":"QRNBUGenerator.generate/2","doc":"","ref":"QRNBUGenerator.html#generate/2"},{"type":"protocol","title":"String.Chars","doc":"","ref":"String.Chars.html"},{"type":"function","title":"String.Chars.to_string/1","doc":"","ref":"String.Chars.html#to_string/1"},{"type":"type","title":"String.Chars.t/0","doc":"All the types that implement this protocol.","ref":"String.Chars.html#t:t/0"}],"content_type":"text/markdown"}